Bug 189696 - update netinet/tcp.h to match current kernel features
update netinet/tcp.h to match current kernel features
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 245708
  Show dependency treegraph
 
Reported: 2006-04-23 06:47 EDT by Sami Farin
Modified: 2008-03-30 02:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-30 02:37:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
update to netinet/tcp.h (669 bytes, patch)
2006-04-23 06:47 EDT, Sami Farin
no flags Details | Diff

  None (edit)
Description Sami Farin 2006-04-23 06:47:52 EDT
Description of problem:
netinet/tcp.h out of date

Version-Release number of selected component (if applicable):
glibc-headers-2.4-5

How reproducible:
always

Steps to Reproduce:
1. #include <netinet/tcp.h>
2.
3.
  
Actual results:
tcpi_rcv_rtt and other bits not defined, resulting into compilation failures.

Expected results:
successful compile.

Additional info:
Comment 1 Sami Farin 2006-04-23 06:47:52 EDT
Created attachment 128129 [details]
update to netinet/tcp.h
Comment 2 Sami Farin 2007-09-20 06:12:59 EDT
Now there's also
#define TCP_MD5SIG       14     /* TCP MD5 Signature (RFC2385) */
so my 1.5 years old patch needs to be updated.  I can do it if you are too busy.
Comment 3 Ulrich Drepper 2007-10-05 14:56:11 EDT
I've updated the upstream version.
Comment 4 Terje Røsten 2007-10-11 15:04:09 EDT
(In reply to comment #3)
> I've updated the upstream version.

Which break some builds:

 http://koji.fedoraproject.org/koji/getfile?taskID=191584&name=build.log

Reverting to tcp.h from F-7 is fixing the problem here.

$ rpm -q glibc-headers
glibc-headers-2.6.90-18

Where is the bug tgt or glibc-headers?

Should I open a new bug report?


Comment 5 Ulrich Drepper 2007-10-11 15:10:52 EDT
(In reply to comment #4)
> Should I open a new bug report?

No, it's already fixed.
Comment 6 Terje Røsten 2007-10-11 15:19:14 EDT
Ok, thanks for quick fix.
Comment 7 Ulrich Drepper 2008-03-30 02:37:55 EDT
This is at least fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.